[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCustomIcon.Clear

Removes the image content for the icon.

## Declaration

Source position: graphics.pp line 1656

`public procedure TCustomIcon.Clear; override;`

## Description

Clear is an overridden method used to remove the image content for the icon. Clear frees the internal save stream for the image. The internal shared image is also freed and re-created. The value in Current is set to -1 to indicate that an icon image has not been selected.

Clear calls the Changed method to set the value in Modified and signal the OnChange event handler (when assigned).

No actions are performed in the method when Empty returns True.

Remark: | Clear does not call the method inherited from TRasterImage.

## See also

TRasterImage.Clear |  | Removes raw image data and frees the internal save stream.